HOIORD Professional Home Appliances Manufacturer
About us
Founded in 1998, Ningbo Hoford Electrical Appliances Co., Ltd. Specializes in manufacturing and exporting all kinds of hair clipper, men shaver, lady epilator and nose trimmer. Our company is located in Yuyao City, Zhejiang Province, 120km from Shanghai and is adjacent to Ningbo Beilun Port(the fourth biggest port in the world).
Our factory covers over 50000 square meters, more than 500 employees, including 20 professional technicians. We possess standardized assembling lines and advanced equipments. Based on our experienced engineering teem, advanced R&D level, skilled workers, and QC team, we can supply products that meet our client's strict demands.
Our products are all manufactured in compliance with international standards. Offering customers competitive prices, reliable quality products, timely delivery, and good service. We wish to establish long-term business relationship with clients around the world. Should you interested in any of our products or would like to discuss OEM service, please do not hesitate to contact us.
Our factory's certificates:
We provide product passed the CE/GS/CB/ ROSH Certificate. we have ISO9000 and BSCI certificate
MODERNIZED WORKSHOPS
Excellent manufactruing capability, process and quality.
New nice office building and factory.
15 assembly lines.
55injection machines, with manipulators and automatic lines.
Model No.: RFC-2003
Pruduct Name: Hair trimmer
• Motor: 280#
● Battery: 1200mAh Lithium
• Charging Time: 90mins
•Working Time: 150mins
● Charging Type: USB TYPEC
•Waterproof Grade: IPX7
• LED Display
● Accessories: 1/3/5/7mm 4combs
Model No.: RSCW-213
● Pruduct Name: Foil shaver
• Motor: 280#
Battery: 1200mAh Lithium
Charging Time: 90mins
•Working Time: 150mins
• Charging Type: USB TYPEC
•Waterproof Grade: IPX7
• LED Display
Model No.: RFC-2405
• Pruduct Name: Hair clipper
Motor: 337#
● Battery: 2000mAh Lithium
• Charging Time: 120mins
Working Time: 210mins
• Charging Type: USB TYPEC
• Waterproof Grade: IPX7
● Accessories: 3/6/10/13/16/19MM combs
Model No.: RFC-2311
Pruduct Name: Grooming set
• Motor: 280#
● Battery: 1200mAh Lithium
•Charging Time: 90mins
• Working Time: 150mins
• Charging Type: USB TYPEC
● Waterproof Grade: IPX7
● Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver / Body trimmer / Body groomer / Detail trimmer
ONE BLADE SET
Model No: RFC-1908
• LED DISPLAY IPX7
● Motor:180#
Battery: 600MA Lihtium
Charging time: 90mins
Working time: 90mins
Charging type:USB TYPEC
● Accessoires: One blade head / Shaver head / Facial hair shaver / Nose trimmer / Bikini trimmer
Model No.: RFC-2504
• Pruduct Name: Body trimmer set
•Battery: 600mAh Lithium
Motor: 180#
•Charging Time: 90mins
Working Time: 90mins
• Charging Type: USB charging
● Waterproof Grade: IPX7
● Accessories: Body groomer / Nose trimmer
8in1 Grooming set
Model No.: RFC-2111
• Motor: 280#
● Battery: 1200mAh Lithium
● Charging Time: 1.5H
● Working Time: 3H
● Charging Type: USB TYPEC
● Waterproof Grade: IPX6
• LED Display
● Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver / Body trimmer / Body groomer / Detail trimmer
Model No.: RFC-1811
• Pruduct Name: 6in1 Grooming set
• Motor: 180#
•Battery: 600mAh Lithium
• Charging Time: 1.5H
● Working Time: 2H
• Charging Type: USB TYPEC
•Waterproof Grade: IPX7
• Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver / Body groomer 7 • LED Display
Model No.: RFC-2711
•Pruduct Name: 5in1 Grooming set
● Motor: 180#
• Battery: 600mAh Lithium
• Charging Time: 1.5H
• Working Time: 2H
• Charging Type: USB Charging
• LED Display
• Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver
Model No.: RFC-3311
• Pruduct Name: 5in1 Grooming set
• Motor: 180#
Battery: 600mAh Lithium
• Charging Time: 1.5H
● Working Time: 2H
• Charging Type: USB Charging
• LED Display
• Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver
Model No.: RFC-1911
Pruduct Name: 5in1 Grooming set
• Motor: 180#
Battery: 600mAh Lithium
• Charging Time: 1.5H
• Working Time: 2H
• Charging Type: USB TYPEO
• LED Display
• Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver
Model No.: RFC-1311
● Pruduct Name: 5in1 Grooming set
● Motor: 180#
● Battery: 2x600mAh NI-MH
• Charging Time: 8H
Working Time: 2H
Charging Type: USB Charging
• Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver
Model No.: RFC-1611
Pruduct Name: 5in1 Grooming set
• Motor: 180#
• Battery: 600mAh Lithium
• Charging Time: 1.5H
● Working Time: 2H
• Charging Type: USB Charging
• LED Display
• Accessories: Hair clipper / Precision trimmer / Design trimmer / Nose trimmer / Shaver
Model No.: RFC-1910
● Pruduct Name: Professoinal hair clipper
• Motor: 390#
● Battery: 2000mAh Lithium
• Charging Time: 2.5H
●Working Time: 3.5H
• Charging Type: USB TYPEC
● Accessories: 3/6/10/13/16/19MM combs
Model No.: RFC-1307A
Motor: 160#
● Battery: 2000mAh Lithium
• Charging Time: 2.5H
Working Time: 3.5H
• Charging Type: USB charging
• Waterproof Grade: IPX7
• LED Display
● Accessories: 3/6/9/12/15/18MM combs
Model No.: RFC-1803
• Pruduct Name: Professoinal hair clipper
Motor: 390#
● Battery: 2000mAh Lithium
• Charging Time: 2.5H
Working Time: 3.5H
• Charging Type: USB charging
● Waterproof Grade: IPX6
• Accessories: 3/6/9/12/15/18MM combs
• LED Display
Motor: 390#
● Battery: 2000mAh Lithium
Model No.: RFC-1803B
• Charging Time: 2.5H
●Working Time: 3.5H
• Charging Type: USB TYPEC
●Waterproof Grade: IPX6
• Pruduct Name: Professoinal hair clipper
●Accessories: 3/6/9/12/15/18MM combs
• LED Display
Model No.: RFC-208
• LED Display
• Pruduct Name: Professoinal hair clipper
• Charging Type: USB TYPEC
• Charging Time: 2.5H
●Working Time: 3.5H
• Battery: 2000mAh Lithium
● Motor: 390#
● Accessories: 3/6/9/12/15/18MM combs
Model No.: RFC-2081
Motor: 280#
Battery: 1200mAh Lithium
• Charging Time: 1.5H
Working Time: 2.5H
• Charging Type: USB TYPEC
● Accessories: 3/6/9/12/15/18MM combs
Model No.: RFC-1309
● Pruduct Name: Hair trimmer
● Motor: 180#
• Battery: 2x600mAh NI-MH
• Charging Time: 8H
• Working Time: 1.5H
• Charging Type: USB charging
• Accessories: 1-10MM comb
Model No.: RFC-1306 Model No.: RFC-T3U6
Model No.: RFC-1307
• Pruduct Name: Hair trimmer
• Motor: 180#
● Battery: 2x600mAh NI-MH
• Charging Time: 8H
Working Time: 1.5H
• Charging Type: USB charging
• Accessories: 1-10MM 11-20MM combs
● Pruduct Name: Hair trimmer
•Motor: 180#
● Battery: 600mAh Lithium
• Charging Time: 1.5H
●Working Time: 1.5H
Charging Type: USB charging
●Waterproof Grade: IPX7
• LED Display
● Accessories: 1-15.5MM 16-30.5MM combs
Model No.: RFC-1907
●Pruduct Name: Hair trimmer
• Motor: 180#
Battery: 600mAh Lithium
• Charging Time: 1.5H
●Working Time: 1.5H
• Charging Type: USB TYPEC
• LED Display
●Accessories: 1-11MM 12-22MM combs
Beard trimmer
• Motor: 280#
Model No.: RFC-2811
Battery: 600mAh Lithium
• Charging Time: 90mins
• Working Time: 120mins
• Charging Type: USB TYPEC
• Accessories: Hair clipper / Precision trimmer / Design trimmer /
Body groomer / Detail trimmer
Nose trimmer / Shaver / Body trimmer /
Model No.: RFC-2001
• Pruduct Name: Beard trimmer
• Motor: 180#
Battery: 600mAh Lithium
Charging Time: 1.5H
● Working Time: 1.5H
• Charging Type: USB TYPEC
•Waterproof Grade: IPX7
●Accessories: 0.5-10MM 10.5-20MM combs
• LED Display
Model No.: RFC-1903
• Pruduct Name: Beard trimmer
• Motor: 180#
• Battery: 600mAh Lithium
• Charging Time: 1.5H
●Working Time: 1.5H
• Charging Type: USB charging
• Waterproof Grade: IPX6
• LED Display
• Accessories: 1-10MM combs
METAL MEN
Model No.: RSCX-319
Pruduct Name: Rotary shaver
Motor: 260#
Battery: 800mAh Lithium
ELECTRIC MEN SHAVER
Charging Time: 1.5H
Working Time: 1H
● Charging Type: USB TYPEC
Waterproof Grade: IPX7
• LED Display
Model No.: RSCW-219
Pruduct Name: Reciprocating foil shaver
● Motor: 180#
Battery: 800mAh Lithium
Charging Time: 1.5H
Working Time: 1H
Charging Type: USB TYPEC
Waterproof Grade: IPX7
• LED Display
Model No.: RSCX-338
• Pruduct Name: Rotary shaver
Motor: 260#
• Battery: 600mAh Lithium
• Charging Type: USB TYPEC
Charging Time: 1.5H
• Waterproof Grade: IPX6
● Working Time: 1H
• LED Display
Model No.: RSCX-337
Pruduct Name: Rotary shaver
• Motor: 260#
Battery: 600mAh Lithium
• Charging Time: 1.5H
• Working Time: 1H
Charging Type: USB TYPEC
● Waterproof Grade: IPX6
• LED Display
Model No.: RSCW-238
●Pruduct Name: Reciprocating foil shaver
•Motor: 180#
• Battery: 600mAh Lithium
●Charging Time: 1.5H
Working Time: 1H
• Charging Type: USB TYPEC
●Waterproof Grade: IPX6
• LED Display
Model No.: RSCW-237
●Pruduct Name: Reciprocating foil shaver
●Motor: 180#
Battery: 600mAh Lithium
Charging Time: 1.5H
Working Time: 1H
• Charging Type: USB TYPEC
●Waterproof Grade: IPX6
• LED Display
Model No.: RSCW-228
● Pruduct Name: Reciprocating foil shaver
• Motor: 180#
● Battery: 2x600mAh NI-MH
•Charging Time: 8H
Working Time: 1H
• Charging Type: USB charging
●Waterproof Grade: IPX4
Model No.: RF-1308
● Pruduct Name: Nose trimmer
• Motor: 130#
• Battery: 1xAA battery
• Charging Type: Battery operate
Model No.: RSCX-312
● Pruduct Name: Rotary shaver
● Motor: 260#
● Battery: 2x600mAh NI-MH
● Charging Time: 8H
Working Time: 1H
• Charging Type: USB Charging
Model No.: RSCX-313
● Pruduct Name: Rotary shaver
• Motor: 260#
● Battery: 2x600mAh NI-MH
Charging Time: 8H
Working Time: 1H
Charging Type: USB charging
Model No: RFC-3611
• Product name: Body Grooming set
• LED DISPLAY IPX7
Motor: 280#
• Battery: 1200MA Lihtium
• Charging time: 100mins
● Working time: 180mins
• Accessoires: Body hair head / Shaver head / Facial hair shaver / Bikini trimmer / Nose trimmer
• Charging type: USB TYPEC
Model No.: RSCW-268
● Product name: 3 Blade Foil shaver
• LED DISPLAY IPX6
●Motor: 180#
● Battery: 2x400MA Lihtium
• Charging time: 90mins
Working time: 90mins
• Charging type:USB TYPEC Magnetic blade head
Model No.: RSCX-321
Product name: 2 Blade Rotary shaver
• LED DISPLAY IPX6
● Motor: 180#
●Battery: 2x400MA Lihtium
• Charging time: 90mins
●Working time: 90mins
• Charging type:USB TYPEC Magnetic blade head
Model No.: RF-703
Product name: Lady shaver
• LED DISPLAY IPX6
Motor: 180#
● Battery: 2x400MA Lihtium
•Charging time: 90mins
Working time: 90mins
• Charging type:USB TYPEC Magnetic blade head
LADY HAIR REMOVER SET
Model No.: RF-609
• Motor: 280#
Battery: 600mAh Lithium
• Charging Time: 1.5H
● Working Time: 1.5H
Charging Type: USB charging
● Waterproof Grade: IPX6
• LED Display
● Accessories: Epilator head / Shaver head / Callus remover head / Facial hair trimmer head / Masssager head / Exfoliation brush / Bikini trimmer head
Model No.: RF-606
• Pruduct Name: Lady hair remover set
Motor: 280#
• Battery: 600mAh Lithium
•Charging Time: 1.5H
● Working Time: 1.5H
Charging Type: USB charging
Model No.: RF-608
• Pruduct Name: Lady hair remover set
● Motor: 280#
●Waterproof Grade: IPX6
Battery: 600mAh Lithium
Charging Time: 1.5H
•Working Time: 1.5H
• LED Display
●Accessories: Epilator head / Shaver head / Callus remover head / Facial hair trimmer head / Masssager head / Exfoliation brush / Bikini trimmer head
Motor: 280#
Battery: 800mAh Lithium
Charging Type: USB charging
• Pruduct Name: Lady hair remover set
•Charging Time: 1.5H
Model No.: RF-610
●Waterproof Grade: IPX6
Working Time: 1.5H
• LED Display
●Accessories: Epilator head / Shaver head / Callus remover head / Facial hair trimmer head / Masssager head / Exfoliation brush / Bikini trimmer head
Charging Type: USB charging
●Waterproof Grade: IPX6
• LED Display
• Accessories: Epilator head / Shaver head / Callus remover head / Facial hair trimmer head / Masssager head / Exfoliation brush / Bikini trimmer head
Lady trimmer set
Model No.: RFC-2511
Motor: 180#
• Battery: 600mAh Lithium
Charging Time: 90mins
● Charging Type: USB charging
Working Time: 90mins
● Waterproof Grade: IPX7
Accessories: Body groomer / Bikini trimmer / Facial hair shaver / Nose trimmer
Model No.: RF-3011
● Pruduct Name: Lady trimmer set
• Motor: 180#
• Battery: 600mAh Lithium
Charging Time: 90mins
●Working Time: 90mins
• Charging Type: USB charging
Waterproof Grade: IPX7
● Accessories: Body groomer / Bikini trimmer / Facial shaver / Nose trimmer
Model No.: RF-3111
• Pruduct Name: Lady trimmer set
• Motor: 180#
• Battery: 600mAh Lithium
Charging Time: 90mins
●Working Time: 90mins
• Charging Type: USB charging
●Waterproof Grade: IPX7
● Accessories: Body groomer / Bikini trimmer / Facial shaver / Nose trimmer
Body
set
Model No.: RFC-2505
● Motor: 180# and 130#
• Battery: 400mAh Lithium
• Charging Time: 90mins
● Working Time: 60mins
• Charging Type: USB charging
• Waterproof Grade: IPX7
• Accessories: Body groomer / Nose trimmer
Model No.: RFC-3511
• Product name: Body Grooming set
• LED DISPLAY IPX7
• Motor: 280#
• Battery: 1200MA Lihtium
• Charging time: 100mins
•Working time: 180mins
• Charging type: USB TYPEC
● Accessoires: Body hair head / Shaver head / Facial hair shaver / Bikini trimmer / Nose trimmer
Beauty
Model No.:: RF-805
● Motor: 280#
Battery: 800mAh Lithium
● Charging Time: 1.5H
● Working Time: 1.5H
Charging Type: USB charging
Waterproof Grade: IPX6
• LED Display
• Accessories: Epilator head / Shaver head / Callus remover head / Masssager head / Exfoliation brush
Model No.: RF-506
• Pruduct Name: Lady hair remover set
● Motor: 280#
Battery: 600mAh Lithium
• Charging Time: 1.5H
Working Time: 1.5H
• Charging Type: USB TYPEC
• LED Display
● Accessories: Epilator head / Shaver head
Model No.: RF-507
• Product name: Lady Hair Remover set
• LED DISPLAY
• Motor: 280#
● Battery: 600MA Lihtium
Charging time: 90mins
●Working time: 90mins
• Charging type:USB TYPEC Accessoires: Epilator head / Shaver head
Lady Hair Remover set
Model No.: RF-612
• LED DISPLAY IPX7
● Motor: 280#
Battery: 800MA Lihtium
• Charging time: 90mins
Working time: 90mins
• Charging type: USB TYPEC
• Accessoires: Epilator head / Shaver head / Facial hair shaver / Callus remover head / Massager head / Exfoliation brush
Model No.: RF-501
• Pruduct Name: Lady hair remover set
• Motor: 280#
• Battery: 2x600mAh NI-MH
• Charging Time: 8H
Working Time: 1.5H
● Charging Type: USB charging
• Accessories: Epilator head / Shaver head
Model No.: RF-903
• Motor: 280#
• Battery: 600mAh Lihtium
•Charging time: 1.5H
• Working time: 1.5H
• Charging type: USB charging
• Waterproof Grade: IPX5
• Accessoires: Epilator head / Shaver head / Callus remover head
HOIORD
NINGBO HOFORD ELECTRICAL APPLIANCES CO.LTD. Professional Home Appliances Manufacturer
NINGBO HOFORD ELECTRICAL APPLIANCES CO.,LTD
ADD:NO.26 Ruhu West RD, Simen Town Yuyao City, Zhejiang China Tel:0086-574-62130487 0Fax:0086-574-62157329 @E-mail:jeremy@hoford.com ohttp://www.hoford.com




